Subject: [ANNOUNCEMENT] Netaudio is available
From: [email-masked] (Amancio Hasty Jr)
Date: Sat, 16 Apr 1994 20:37:32 GMT
Newsgroups: comp.os.linux.announce

Hi,
	Briefly, I ported NCD's netaudio to FreeBSD. The server model
	is based upon the  netaudio server for SGI.

netaudio is available at freebsd.cdrom.com:incoming/FreeBSD.

requirements:
	X11R5 and the linux sound driver.
	I am using a modified linux sound driver version 2.4 with
	support for vat (from Jim Lowe) and my mods to do bi-directional
	dma operations on a GUS - so we can record and playback at the
	same time. Soon, I will release my modifications -- I just need
	to clean up the code a little bit..

OS:	FreeBSD and Linux 
	An earlier version of the netaudio server compiled with no
	problems under Linux so if there any problems just e-mail me.
	I don't run Linux so I will be depending on your feedback.

To build the distribution:

xmkmf
make World
make install

To run it:

au -aa &

    This is just a sample application 

setenv AUDIOSERVER your_hostname:0

audemo <directory of sound files with sound headers>

BUGS:
	auphone does not work problems with flow control handling
	in auphone and the server.

	some sample sound files will generate a click upon starting
	and stopping an audio file. The problem is not in my server
	implementation.

For info, read the documentation in the distribution and for further 
info netaudio's mailing list is: [email-masked]

	Have Fun,
	Amancio

-- 
FREE unix, gcc, tcp/ip, X, open-look, interviews, tcl/tk, MIME, midi, sound
at  freebsd.cdrom.com:/pub/FreeBSD
Amancio Hasty,  Consultant |
Home: (415) 495-3046       |  
e-mail [email-masked]	   |  ftp-site depository of all my work:    
[email-masked]           |  sunvis.rtpnc.epa.gov:/pub/386bsd/X

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.
-- 
Linux: Generous programmers from around the world all join forces to help
       you shoot yourself in the foot for free.